# Uses of Interface
net.shibboleth.shared.spring.servlet.ChainableFilter

Packages that use ChainableFilter
Package
Description
net.shibboleth.shared.spring.servlet.impl
Spring-aware implementation classes related to Java Servlet and Filter behavior.

## Uses of ChainableFilter in net.shibboleth.shared.spring.servlet.impl

Classes in net.shibboleth.shared.spring.servlet.impl that implement ChainableFilter
Modifier and Type
Class
Description
`class`
`CharacterEncodingFilter`
Adapts Spring filter into a chainable/conditional one.
`class`
`CookieBufferingFilter`
Implementation of `Filter` which wraps the `HttpServletResponse` to ensure that only a single cookie of a given name is set.
`class`
`DynamicResponseHeaderFilter`
Implementation of an HTTP servlet `Filter` which supports configurable response header injection, including via injected functions that can conditionally attach headers.
`class`
`RequestResponseContextFilter`
Implementation of `Filter` which stores the current `HttpServletRequest` and `HttpServletResponse` being serviced on thread-local storage via the use of holder class `HttpServletRequestResponseContext`.
`class`
`SameSiteCookieHeaderFilter`
Implementation of `Filter` which adds the SameSite attribute to cookies, until the Java API supports it natively, if ever.
Fields in net.shibboleth.shared.spring.servlet.impl with type parameters of type ChainableFilter
Modifier and Type
Field
Description
`private List<ChainableFilter>`
ChainingFilter.`filters`
Embedded chain.
`private Iterator<ChainableFilter>`
ChainingFilter.Chain.`iterator`
Tracked iterator.
Constructor parameters in net.shibboleth.shared.spring.servlet.impl with type arguments of type ChainableFilter
Modifier
Constructor
Description
``
`ChainingFilter(List<ChainableFilter> filterChain)`
Constructor.